curl --request PATCH \
--url https://api.synctera.com/v2/crr/external_scores/{external_score_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"high_risk_override": true,
"metadata": {},
"score": 75
}
'import requests
url = "https://api.synctera.com/v2/crr/external_scores/{external_score_id}"
payload = {
"description": "<string>",
"high_risk_override": True,
"metadata": {},
"score": 75
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', high_risk_override: true, metadata: {}, score: 75})
};
fetch('https://api.synctera.com/v2/crr/external_scores/{external_score_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"high_risk_override": true,
"id": "7503cd8a-903b-4fee-aa54-da3dc71f4124",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "CUSTOMER",
"score": 75,
"tenant": "abcdef_ghijkl",
"creation_time": "2023-11-07T05:31:56Z",
"description": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update an external score
Update a specific external score
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the external score
"7503cd8a-903b-4fee-aa54-da3dc71f4124"
Body
External score fields to update
Free-text narrative supplied by the operator or external system describing the rationale for the score.
When true, forces the customer's computed CRR rating to high regardless of the numeric score.
Free-form structured metadata supplied by the operator or external system.
An externally sourced risk score (0-100)
0 <= x <= 10075
Response
External score updated successfully
When true, forces the customer's computed CRR rating to high regardless of the numeric score.
Unique identifier for the external score record
"7503cd8a-903b-4fee-aa54-da3dc71f4124"
The customer_id or business_id this score applies to
The resource type for which the parameter is calculated
CUSTOMER, BUSINESS An externally sourced risk score (0-100)
75
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
The date and time the record was created
Free-text narrative supplied by the operator or external system describing the rationale for the score.
The date and time the record was last updated
Free-form structured metadata supplied by the operator or external system.
Was this page helpful?

